<?php
	
	# 		Radar Netherlands
	# 		Namespace:		radarNL
	#		Meteotemplate Block
	
	# 		v1.0 - Sep 16, 2016
	#			- Initial release
	
	// load theme
	$designTheme = json_decode(file_get_contents("../../css/theme.txt"),true);
	$theme = $designTheme['theme'];
	
	include("../../../config.php");
	include("../../../css/design.php");
	include("../../../scripts/functions.php");
	
	$languageRaw = file_get_contents($baseURL."lang/gb.php");
	$language['gb'] = json_decode($languageRaw,true);
	$languageRaw = file_get_contents($baseURL."lang/".$lang.".php");
	$language[$lang] = json_decode($languageRaw,true);

?>
	<style>
		#radarNLImg{
			cursor: pointer;
			opacity: 0.7;
			width: 98%;
			max-width:600px;
			margin: 0 auto;
			border-radius: 5px;
			border: 1px solid #<?php echo $color_schemes[$design2]['100']?>
		}
		#radarNLImg:hover{
			opacity: 1;
		}
		#nowRadarNL,#futureRadarNL,#dayRadarNL{
			opacity: 0.8;
			cursor: pointer;
			font-size:1.2em;
		}
		#nowRadarNL:hover, #futureRadarNL:hover, #dayRadarNL:hover{
			opacity: 1;
		}
	</style>
	<div style="position:relative;width:100%">
		<img src="<?php echo $pageURL.$path?>imgs/flags/big/nl.png" style="width:50px"><br>
		<img src='http://api.buienradar.nl/image/1.0/radarmapnl/gif/?hist=24&forc=0&width=550&l=1' id="radarNLImg" alt='' onclick='zoomNLRadar()'>
		<div style="width:100%;text-align:center;font-size:0.8em">
			<span id="nowRadarNL"><?php echo lang('now','u')?></span><span id="futureRadarNL">   +3<?php echo lang('hAbbr','l')?></span><span id="dayRadarNL">   +24<?php echo lang('hAbbr','l')?></span>
		</div>
	</div>
	<div style='width:98%;margin:0 auto;text-align:center;font-size:0.7em;font-variant:small-caps;padding-top:10px'>
		<?php echo lang('data source','c')?>: buienradar.nl
	</div>
	<div id="nlRadarWindow"></div>
	<script>
		function zoomNLRadar(){
			urlRadar = $("#radarNLImg").attr('src');
			$("#nlRadarWindow").html("<div style='width:98%;margin:0 auto;text-align:center'><img src='"+urlRadar+"' style='width:100%'></div>");
			$("#nlRadarWindow").dialog('open');		
		}
		dialogHeight = screen.height*0.7;
		dialogWidth = screen.width*0.6;
		$("#nlRadarWindow").dialog({
			modal: true,
			autoOpen: false,
			height: dialogHeight,
			width: dialogWidth
		});
		
		$("#nowRadarNL").click(function(){
			$("#radarNLImg").attr("src","http://api.buienradar.nl/image/1.0/radarmapnl/gif/?hist=24&forc=0&width=550&l=1");
		})
		$("#futureRadarNL").click(function(){
			$("#radarNLImg").attr("src","http://api.buienradar.nl/image/1.0/radarmapnl/gif/?hist=0&forc=36&width=550&l=1&step=1coming");
		})
		$("#dayRadarNL").click(function(){
			$("#radarNLImg").attr("src","http://api.buienradar.nl/image/1.0/24HourForecastMapNL/gif/?hist=0&forc=24&width=550&l=1&step=0");
		})
	</script>